<table class="cart" data-cart-quantity="{{cart.quantity}}">
    <thead class="cart-header">
        <tr>
            <th class="cart-header-item" colspan="2">{{lang 'cart.checkout.item'}}</th>
            <th class="cart-header-item">{{lang 'cart.checkout.price'}}</th>
            <th class="cart-header-item cart-header-quantity">{{lang 'cart.checkout.quantity'}}</th>
            <th class="cart-header-item cart-header-total">{{lang 'cart.checkout.total'}}</th>
        </tr>
    </thead>
    <tbody class="cart-list">
        {{#each cart.items}}
            <tr class="cart-item" data-item-row data-entity-id="{{id}}">
                <td class="cart-item-block cart-item-figure">
                    {{#if type '==' 'GiftCertificate'}}
                        <img class="cart-item-fixed-image" src="{{cdn ../../theme_settings.default_image_gift_certificate}}" alt="GiftCertificate" title="GiftCertificate">
                    {{else}}
                        {{> components/common/responsive-img
                            image=image
                            class="cart-item-image"
                            fallback_size=../../theme_settings.productthumb_size
                            lazyload=../../theme_settings.lazyload_mode
                            default_image=../../theme_settings.default_image_product
                        }}
                    {{/if}}
                </td>
                <td class="cart-item-block cart-item-title">
                    {{#if brand.name}}
                        <p class="cart-item-brand">{{brand.name}}</p>
                    {{/if}}
                    <div class="cart-item-name"><a href="{{url}}">{{name}}</a></div>
                    {{#if sku}}
                        <dl class="definitionList">
                            <dt class="definitionList-key">{{lang 'products.sku'}}</dt>
                            <dd class="definitionList-value">{{sku}}</dd>
                        </dl>
                    {{/if}}
                    {{#if release_date}}
                        <p>({{release_date}})</p>
                    {{/if}}

                    {{#if configurable_fields}}
                        <dl class="definitionList">
                            {{#each configurable_fields}}
                                <dt class="definitionList-key">{{name}}:</dt>
                                <dd class="definitionList-value">
                                    {{#if is_file}}
                                        <a href="/viewfile.php?prodfield={{../id}}&cartitem={{../../id}}">{{value}}</a>
                                    {{else}}
                                        {{{sanitize value}}}
                                    {{/if}}
                                </dd>
                            {{/each}}
                        </dl>
                    {{/if}}

                    {{#if options}}
                        <dl class="definitionList">
                            {{#each options}}
                                <dt class="definitionList-key">{{name}}:</dt>
                                <dd class="definitionList-value">
                                    {{#if is_file}}
                                        <a href="/viewfile.php?attributeId={{../id}}&cartitem={{../../id}}">{{value}}</a>
                                    {{else}}
                                        {{{sanitize value}}}
                                    {{/if}}
                                </dd>
                            {{/each}}
                        </dl>
                    {{/if}}

                    {{#or options configurable_fields}}
                        <a href="#" data-item-edit="{{id}}">{{lang 'cart.checkout.change'}}</a>
                    {{/or}}

                    {{#if type '==' 'GiftCertificate'}}
                        <a href="{{edit_url}}">{{lang 'cart.checkout.change'}}</a>
                    {{/if}}
                    {{> components/cart/item-giftwrap this}}
                    {{#if event_date}}
                        <dl class="cart-item-options">
                            <dt class="cart-item-option-title">
                                {{event_date.name}}
                            </dt>

                            <dd class="cart-item-option-description">
                                {{event_date.date}}
                            </dd>
                        </dl>
                    {{/if}}

                </td>
                <td class="cart-item-block cart-item-info">
                    <span class="cart-item-label">{{lang 'cart.checkout.price'}}</span>
                    {{#or ../customer (if ../theme_settings.restrict_to_login '!==' true)}}
                        <span class="cart-item-value {{#if price_discounted}}price--discounted{{/if}}">{{price.formatted}}</span>
                        {{#if price_discounted}}
                            <span class="cart-item-value">{{price_discounted.formatted}}</span>
                        {{/if}}
                        {{#withFirst ../../cart.taxes}}
                            {{>components/oxatis/ecotaxe/ecotaxe product_id=../product_id tax_included=this.included }}
                        {{/withFirst}}
                    {{else}}
                        {{> components/common/login-for-pricing}}
                    {{/or}}
                </td>

                <td class="cart-item-block cart-item-info cart-item-quantity">

                    <label class="form-label cart-item-label" for="qty-{{id}}">{{lang 'products.quantity'}}</label>
                    <div class="form-increment">
                        {{#if can_modify}}
                            <button class="button button--icon" data-cart-update data-cart-itemid="{{id}}" data-action="dec">
                                <span class="is-srOnly">{{lang 'products.quantity_decrease'}}</span>
                                <i class="icon" aria-hidden="true"><svg><use xlink:href="#icon-keyboard-arrow-down" /></svg></i>
                            </button>
                        {{/if}}
                        <input class="form-input form-input--incrementTotal"
                               id="qty-{{id}}"
                               name="qty-{{id}}"
                               type="tel"
                               value="{{quantity}}"
                               data-quantity-min="{{min_purchase_quantity}}"
                               data-quantity-max="{{max_purchase_quantity}}"
                               data-quantity-min-error="{{lang 'products.quantity_min' quantity=min_purchase_quantity}}"
                               data-quantity-max-error="{{lang 'products.quantity_max' quantity=max_purchase_quantity}}"
                               min="1"
                               pattern="[0-9]*"
                               aria-live="polite"{{#unless can_modify}} disabled{{/unless}}>
                        {{#if can_modify}}
                            <button class="button button--icon" data-cart-update data-cart-itemid="{{id}}" data-action="inc">
                                <span class="is-srOnly">{{lang 'products.quantity_increase'}}</span>
                                <i class="icon" aria-hidden="true"><svg><use xlink:href="#icon-keyboard-arrow-up" /></svg></i>
                            </button>
                        {{/if}}
                    </div>
                    {{#if can_modify}}
                        <a class="cart-remove icon" data-cart-itemid="{{id}}" href="#" data-confirm-delete="{{lang 'cart.confirm_delete'}}">
                            <i class="fa fa-trash"></i>
                        </a>
                    {{else}}
                        {{#if type '==' 'GiftCertificate'}}
                            <a class="cart-remove icon" data-cart-itemid="{{id}}" href="#" data-confirm-delete="{{lang 'cart.confirm_delete'}}">
                                <i class="fa fa-trash"></i>
                            </a>
                        {{/if}}
                    {{/if}}
                </td>

                <td class="cart-item-block cart-item-info cart-item-total">
                    <span class="cart-item-label">{{lang 'cart.checkout.total'}}</span>
                    {{#or ../customer (if ../theme_settings.restrict_to_login '!==' true)}}
                        <strong class="cart-item-value {{#if total_discounted}}price--discounted{{/if}}">{{total.formatted}}</strong>
                        {{#if total_discounted}}
                            <strong class="cart-item-value">{{total_discounted.formatted}}</strong>
                        {{/if}}
                    {{else}}
                        {{> components/common/login-for-pricing}}
                    {{/or}}
                </td>
            </tr>
        {{/each}}
    </tbody>
</table>
